<?php 
defined('BASEPATH') OR exit('No direct script access allowed');

class CategoryModel extends CI_Model { 

    public function __construct(){
		parent::__construct();
		$this->load->database();
	}
	
	function get_rows($where)
    {
		$sql = "select * from category_tb where id > 0 and isDeleted = 0 ".$where;
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	public function insert_row($insert_data)
	{
		$this->db->insert('category_tb', $insert_data);
	}

	function delete_row($edit_id)
    {		
		$this->db->delete('category_tb', array('id' => $edit_id));
	}
	
	function get_row($id)
    {
		$sql = "select * from category_tb where id = '".$id."'";
		$query = $this->db->query($sql);
		return $query->row_array();
	}

	public function update_row($update_data, $id)
	{
		$this->db->update('category_tb', $update_data, $id);
	}	
}